<!DOCTYPE html>
<html th:attr="lang=${lang}" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
<ol class="breadcrumb" th:fragment="breadcrumb">
    <li class="active"><i class="fa fa-clipboard"></i>[[#{page.title.management.company}]]</li>
</ol>

<!-- Main content -->
<section class="content" th:fragment="content">
    <div class="row">
        <div class="col-md-12">
            <br/>
            <form class="form-inline">
                <div class="form-group">
                    <label for="companyName">[[#{label.company.name}]] : </label>
                    <input type="text" id="companyName" class="form-control">

                </div>
                <div class="form-group">
                    <label> </label>
                    <select class="form-control">
                        <option>[[#{label.active}]]</option>
                        <option>[[#{label.inactive}]]</option>
                    </select>

                </div>
                <button type="submit" class="btn btn-primary"><i class="fa fa-search"></i> [[#{label.search}]]
                </button>
            </form>
            <br/>
            <a class="btn btn-info" th:href="@{/admin/management/company/add}"><i class="fa fa-plus"></i>
                [[#{button.add}]]</a>
            <br/>
            <br/>
            <div class="box">
                <div class="box-header with-border">
                    <h3 class="box-title">[[#{label.payroll.table}]]</h3>
                </div>
                <!-- /.box-header -->
                <div class="box-body">
                    <table id="table" class="table table-bordered table-striped">
                        <thead>
                        <tr>
                            <th>[[#{label.no.}]]</th>
                            <th>[[#{label.company.name}]]</th>
                            <th>[[#{label.email}]]</th>
                            <th>[[#{label.active}]]</th>
                            <th class="text-center">[[#{label.action}]]</th>
                        </tr>
                        </thead>
                    </table>
                </div>
                <!-- /.box-body -->
            </div>
            <!-- /.box -->
        </div>
    </div>
</section>
<!-- /.content -->


<div th:fragment="css" th:remove="tag">
    <link rel="stylesheet" th:href="@{/css/datatables.bootstrap.css}"/>
</div>
<div th:fragment="js" th:remove="tag">
    <script th:src="@{/js/jquery.datatables.js}"></script>
    <script th:src="@{/js/datatables.bootstrap.js}"></script>
    <script type="text/javascript" th:inline="javascript">
        /*<![CDATA[*/
        $(document).ready(function() {
            var csrf=/*[[${_csrf.token}]]*/'';
            var table=$('#table');

            var dataTable=table.DataTable({
                ajax:{
                    data:function(d){
                        d._csrf=csrf;
                        d.companyName=table.data('companyName')
                    },
                    type:'POST',
                    url:/*[[@{/admin/management/company/search}]]*/''
                },
                columnDefs: [
                    { targets: [0, 4], orderable: false, className:'text-center'},
                    { targets: [1, 2, 3], className:'text-left'}
                ],
                language:{
                    url:/*[[@{/js/i18n/datatables.{lang}.json/(lang=${lang})}]]*/''
                },
                processing:true,
                serverSide:true
            });
            dataTable.on('error.dt',function(e,settings,techNote,message){
                var swalTitle=/*[[#{swal.error.title}]]*/'';
                var swalMessage=/*[[#{swal.error.connection}]]*/'';
                swal(swalTitle,swalMessage,'error');
            });

            $('#searchBtn').click(function(){
                table.data('companyName', $('#companyName').val());
                dataTable.ajax.reload();
            });
        });
/*]]>*/
</script>
</div>
</html>